### Method

# Gsk Rendererrealize_for_display

since: 4.14

#### Declaration [src]

    gboolean
    gsk_renderer_realize_for_display (
      GskRenderer* renderer,
      GdkDisplay* display,
      GError** error
    )

#### Description [src]

Creates the resources needed by the `renderer` to render the scene graph.

Note that it is mandatory to call `gsk_renderer_unrealize()` before destroying the renderer.

Available since: 4.14

#### Parameters

`display`

  Type: `GdkDisplay`

  The `GdkDisplay` renderer will be used on.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the renderer was successfully realized.